Subject: Re: bug#48158: [PATCH] gnu: xboard: Patch path to aplay.

From: Michael Rohleder <[email-masked]>
Date: Mon, 03 May 2021 18:13:32 +0200

Hi Ludo,

Thank you for reviewing!

Ludovic Courtès <[email-masked]> writes:
> Incidentally, the following still breaks on the first move:
>
>   $ guix environment --ad-hoc xboard -- xboard
>   […]
>   xboard: Error writing to first chess program: Broken pipe
>
> At first sight the reason may be that it doesn’t find ‘fairymax’ (what’s
> that?) in $PATH.  I’m sure I’m missing something obvious, but I wonder
> if we could make it work out of the box.
>
> Thoughts?
>

Yes, I think that is https://issues.guix.gnu.org/45236

fairymax is a (simple) chessengine.

I plan to fix this issue (also via the xboard.conf), so that gnuchess
gets the default configured engine, after this one here is merged...

-- 
Wenn Du denkst, Abenteuer sind gefährlich, dann versuch´s doch mal mit Routine.
Die ist tödlich.    - Paulo Coelho